package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ResignBeisenFacadeFactory
{
    private ResignBeisenFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("3B6AFD99") ,com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("3B6AFD99") ,com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("3B6AFD99"));
    }
    public static com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IResignBeisenFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("3B6AFD99"));
    }
}